﻿define([
    "qvangular",
    "underscore"
],
    function (qvangular, underscore) {

        var connectionInfoResult = null;

        function create(serverside) {

            // if the connection info has already been retrieved, just return the cached version
            if (connectionInfoResult !== null) {
                return connectionInfoResult;
            }

            var entrypoints = [];

            entrypoints.push(
                {
                    id: "factset",
                    category: "database",
                    name: "FactSet Analytics (v0.1.0)",
                    imagePath: "../resources/../customdata/64/FactSetQlikConnector/web/factset.svg",
                    imageSquarePath: "../resources/../customdata/64/FactSetQlikConnector/factset-square.svg",
                    scriptOnly: true
                });

            var connector = {
                entrypoints: entrypoints
            };

            // Save the result off so that we only need to call this once
            connectionInfoResult = connector;

            return connector;
        }

        var exports = {
            create: create
        };

        return exports;
    });